Get a managed user
curl --request GET \
--url https://api.cal.com/v2/oauth-clients/{clientId}/users/{userId} \
--header 'Authorization: Bearer <token>' \
--header 'x-cal-secret-key: <x-cal-secret-key>'import requests
url = "https://api.cal.com/v2/oauth-clients/{clientId}/users/{userId}"
headers = {
"x-cal-secret-key": "<x-cal-secret-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-cal-secret-key': '<x-cal-secret-key>', Authorization: 'Bearer <token>'}
};
fetch('https://api.cal.com/v2/oauth-clients/{clientId}/users/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"data": {
"id": 1,
"email": "alice+cluo37fwd0001khkzqqynkpj3@example.com",
"username": "alice",
"name": "alice",
"bio": "bio",
"timeZone": "America/New_York",
"weekStart": "Sunday",
"createdDate": "2024-04-01T00:00:00.000Z",
"timeFormat": 12,
"defaultScheduleId": null,
"locale": "en",
"avatarUrl": "https://cal.com/api/avatar/2b735186-b01b-46d3-87da-019b8f61776b.png",
"metadata": {
"key": "value"
}
}
}Platform / Managed Users
Get a managed user
These endpoints are deprecated and will be removed in the future.
GET
/
v2
/
oauth-clients
/
{clientId}
/
users
/
{userId}
Get a managed user
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
OAuth client secret key
Was this page helpful?
⌘I